Aller au contenu principal
Sujet: Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed) (Lu 1086 fois) sujet précédent - sujet suivant

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #30
C'est là qu'on voit que ça craint quand même.
Un des dépôts principaux est hébergé par un "gars" sur ses deniers etc.

On ne parle pas d'un petit truc externe mais quand même d'un dépot vraiment nécessaire pour tout le multimédia, c'est stressant. :(

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #31
Oui et non vu le nombre de miroirs disponibles

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #32
Oui mais Yast en mode graphique ne switch pas sur les mirroir, le seul dépôt de référence c'est celui là.
Donc pour tous les débutants c'est problématique.

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #33
Cette commande ne définit pas une priorité, elle correspond à la manipulation que l'on peut faire avec YaST en sélectionnant le dépôt Packman puis en cliquant sur le lien "Remplacer les paquets système "
Mettre une priorité plus faible que 99 (perso j'ai mis 98 comme indiqué par jtro sur un fil) permet lorsque l'on veut installer un logiciel (multimedia le plus souvent) de choisir la version de Packman plutôt que celle du dépôt officiel (avec peut-être des codecs bridés)

Je comprends bien mais quand on change de fournisseur celui-ci prend la main lors des mises à jour selon le concept de vendor stickiness (implicitement ce fournisseur est donc prioritaire sur les paquets qu'il maintient).

Le gestionnaire de paquet Zypp utilise le concept de vendor stickiness. Cela veut dire que, par défaut, un paquet installé n'est mis à jour automatiquement que vers des nouvelles versions distribuées par le même fournisseur.

Donc je ne comprends pas la nécessité (?) d'élever en plus la priorité du dépôt Packman (90 ou 98, c'est kif kif d'ailleurs si tout le reste est à 99).

>sobkowiak : oui oui, je sais qu'on peut changer simplement les priorités avec Yast  ;)

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #34
Citer
Donc je ne comprends pas la nécessité (?) d'élever en plus la priorité du dépôt Packman (90 ou 98, c'est kif kif d'ailleurs si tout le reste est à 99).
Lorsque tu as un logiciel multimédia présent dans les dépôts officiels et dans Packman qui n’est pas déjà installé, ça proposera la version de Packman en premier, version normalement moins bridée pour les codecs. C’est pour moi l’intérêt de cette priorité.


Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #36
Je ne suis pas sûr que les dépôt soit aussi à jour.
J'ai supprimé le dépôt pacman que j'avais avant, pour remplacer par la nouvelle url soit
'https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_$releasever/

Et au final quand j'essaie de mettre à jour j'ai maintenant un soucis de dépendance cf:
Recherche de conflits de fichiers : ...[erreur]
33 conflits de fichiers détectés :

File /usr/bin/aviocat
  from install of
     ffmpeg-3-3.4.8-pm152.5.1.x86_64 (packman)
  conflicts with file from package
     ffmpeg-4-4.2.1-pm152.2.6.1.x86_64 (@System)


Comme si la version ffmpeg de packman était vielle.
(c'est 33 fois la même erreur)
Je peux le downgrader mais ça m'étonne.

EDIT: j'ai remis une priorité de 99 à pacman et ça semble ok.
Mais comme dit je ne suis pas persuadé qu'on ait bien tout dans ce mirroir.

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #37
Citation de: burn2
Je peux le downgrader mais ça m'étonne.
Pas moi, ça m'est arrivé quelques fois quand j'étais sous Leap.
Mais ceci dit, on trouve le paquet ffmpeg-4-4.2.1-pm152.2.6.1.x86_64.rpm dans le dépôt : https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/Essentials/x86_64/

Tu es certain d'avoir activé le rafraichissement automatique ? Tu avais fait
zypper ref
avant ?

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #38
Ouep je l'avais fait, je ne sais pas trop ce qui s'est passé...
Tout est rentré dans l'ordre depuis mais je ne sais pas bien pourquoi ça m'a fait ça...

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #39
et dire que quand je critiquais le fait d'avoir besoin de ce dépôt au lieu qu'il soit interne au projet, on me riait au nez... Juste que ça se fait très souvent ce genre de problème avec packman, c'est souvent qu'on a plus accès à ce dépôt, alors oui changer de miroir, mais en attendant si c'était avec les moyens du projet, il y aurait moins de panne.

Je trouve fort dommage ce coté de la distribution qui fait quand même brouillon. C'est le point faible de cette distribution.

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #40
très souvent,t'exagères pas un peu? :D
perso, je mets toujours deux miroirs de packman,comme ça pas de problèmes!

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #41
Une  fois par trimestre? En fait dès qu'il y a des problèmes de serveurs on peut être sûr que c'est celui-ci qui cloche. Ça laisse un sentiment de brouillon.

Re : Dépôt Packman, permission d'accès refusée (Leap 15.2 et Tumbleweed)

Répondre #42
Bon,je suis d'accord ça peut surprendre. Ceci dit il y a une doc et un forum où on essaie de dépatouiller les gens,exemple: ce post même.
Je crois que tout a été dit sur ce problème,c'est pourquoi je vous propose 'en discuter sur la taverne si vous êtes intéressés.   Le sujet est donc clos.